Activity log for bug #1756595

Date Who What changed Old value New value Message
2018-03-17 20:34:57 Andreas Hasenack bug added bug
2018-03-17 20:35:13 Andreas Hasenack summary disk space info inadvertently lists all installed snaps disk space info inadvertently provides all installed snaps
2018-03-26 14:15:23 Brian Murray tags rls-bb-incoming
2018-03-29 16:13:48 Brian Murray bug task added apt (Ubuntu)
2018-03-29 16:14:59 Brian Murray apt (Ubuntu): status New Triaged
2018-03-29 16:15:06 Brian Murray apt (Ubuntu): importance Undecided Medium
2018-03-29 16:15:12 Brian Murray apport (Ubuntu): status New Invalid
2018-03-29 16:15:15 Brian Murray bug added subscriber Brian Murray
2018-04-05 15:30:40 Brian Murray nominated for series Ubuntu Bionic
2018-04-05 15:30:40 Brian Murray bug task added apt (Ubuntu Bionic)
2018-04-05 15:30:40 Brian Murray bug task added apport (Ubuntu Bionic)
2018-04-05 15:30:53 Brian Murray tags rls-bb-incoming bionic
2018-04-20 20:23:41 Brian Murray tags bionic bionic rls-bb-notfixing
2018-10-02 18:47:28 Brian Murray tags bionic rls-bb-notfixing bionic rls-bb-notfixing rls-dd-incoming
2019-02-19 10:36:37 Robie Basak bug added subscriber Robie Basak
2019-05-31 18:30:56 Mathieu Trudel-Lapierre tags bionic rls-bb-notfixing rls-dd-incoming bionic rls-bb-notfixing rls-ee-incoming
2019-06-13 15:23:47 Julian Andres Klode apt (Ubuntu): status Triaged Fix Committed
2019-06-13 16:33:02 Brian Murray nominated for series Ubuntu Disco
2019-06-13 16:33:02 Brian Murray bug task added apt (Ubuntu Disco)
2019-06-13 16:33:02 Brian Murray bug task added apport (Ubuntu Disco)
2019-06-13 16:33:10 Brian Murray apt (Ubuntu Disco): status New Triaged
2019-06-13 16:33:15 Brian Murray apt (Ubuntu Disco): importance Undecided Medium
2019-06-14 16:45:06 Brian Murray nominated for series Ubuntu Eoan
2019-06-14 16:45:06 Brian Murray bug task added apt (Ubuntu Eoan)
2019-06-14 16:45:06 Brian Murray bug task added apport (Ubuntu Eoan)
2019-06-14 16:45:26 Brian Murray tags bionic rls-bb-notfixing rls-ee-incoming bionic rls-bb-notfixing
2019-06-26 11:41:24 Launchpad Janitor apt (Ubuntu Eoan): status Fix Committed Fix Released
2019-09-02 15:51:45 Julian Andres Klode description When apport is reporting a crash, it includes the output of the "df" utility, to list the free disk space information per mount point. That output nowadays will inadvertently include all snaps that the user may have installed, including their revision numbers. Here is a simple df output: andreas@nsn7:~$ df Filesystem 1K-blocks Used Available Use% Mounted on udev 8119680 0 8119680 0% /dev tmpfs 1630156 1828 1628328 1% /run nsn7/ROOT/ubuntu 433084288 2500608 430583680 1% / tmpfs 8150776 18888 8131888 1% /dev/shm tmpfs 5120 4 5116 1% /run/lock tmpfs 8150776 0 8150776 0% /sys/fs/cgroup nsn7/var/log 430763136 179456 430583680 1% /var/log nsn7/var/tmp 430583808 128 430583680 1% /var/tmp /dev/sda2 1032088 160336 871752 16% /boot /dev/sda1 523248 2720 520528 1% /boot/efi nsn7/home 430651264 67584 430583680 1% /home nsn7/var/cache 430653312 69632 430583680 1% /var/cache nsn7/var/mail 430583808 128 430583680 1% /var/mail nsn7/var/spool 430583808 128 430583680 1% /var/spool tmpfs 1630152 16 1630136 1% /run/user/120 tmpfs 100 0 100 0% /var/lib/lxd/shmounts tmpfs 100 0 100 0% /var/lib/lxd/devlxd tmpfs 1630152 36 1630116 1% /run/user/1000 nsn7/lxd/containers/squid-ds216 431444096 860416 430583680 1% /var/lib/lxd/storage-pools/default/containers/squid-ds216 /dev/loop0 83712 83712 0 100% /snap/core/4206 /dev/loop1 102144 102144 0 100% /snap/git-ubuntu/402 You can see I have the core snap at revision 4206, and git-ubuntu at revision 402. There are already many bug reports in launchpad where one can see this information. Granted, the user can review it, refuse to send this data, etc. This bug is about the unexpectedness of having that information in the disk space data. If the user sees a prompt like "Would you like to include disk free space information in your report?", or "Would you like to include the output of the df(1) command in your report?", that doesn't immediately translate to "Would you like to include disk free space information and a list of all installed snaps and their revision numbers in your report?". [Impact] When apport is reporting a crash, it includes the output of the "df" utility, to list the free disk space information per mount point. That output nowadays will inadvertently include all snaps that the user may have installed, including their revision numbers. Here is a simple df output: andreas@nsn7:~$ df Filesystem 1K-blocks Used Available Use% Mounted on udev 8119680 0 8119680 0% /dev tmpfs 1630156 1828 1628328 1% /run nsn7/ROOT/ubuntu 433084288 2500608 430583680 1% / tmpfs 8150776 18888 8131888 1% /dev/shm tmpfs 5120 4 5116 1% /run/lock tmpfs 8150776 0 8150776 0% /sys/fs/cgroup nsn7/var/log 430763136 179456 430583680 1% /var/log nsn7/var/tmp 430583808 128 430583680 1% /var/tmp /dev/sda2 1032088 160336 871752 16% /boot /dev/sda1 523248 2720 520528 1% /boot/efi nsn7/home 430651264 67584 430583680 1% /home nsn7/var/cache 430653312 69632 430583680 1% /var/cache nsn7/var/mail 430583808 128 430583680 1% /var/mail nsn7/var/spool 430583808 128 430583680 1% /var/spool tmpfs 1630152 16 1630136 1% /run/user/120 tmpfs 100 0 100 0% /var/lib/lxd/shmounts tmpfs 100 0 100 0% /var/lib/lxd/devlxd tmpfs 1630152 36 1630116 1% /run/user/1000 nsn7/lxd/containers/squid-ds216 431444096 860416 430583680 1% /var/lib/lxd/storage-pools/default/containers/squid-ds216 /dev/loop0 83712 83712 0 100% /snap/core/4206 /dev/loop1 102144 102144 0 100% /snap/git-ubuntu/402 You can see I have the core snap at revision 4206, and git-ubuntu at revision 402. There are already many bug reports in launchpad where one can see this information. Granted, the user can review it, refuse to send this data, etc. This bug is about the unexpectedness of having that information in the disk space data. If the user sees a prompt like "Would you like to include disk free space information in your report?", or "Would you like to include the output of the df(1) command in your report?", that doesn't immediately translate to "Would you like to include disk free space information and a list of all installed snaps and their revision numbers in your report?". [Test case] N/A [Regression potential] Fix consists of adding -x squashfs to df output, so might hide other non-snap squashfs images.
2019-09-02 15:57:16 Łukasz Zemczak apt (Ubuntu Disco): status Triaged Fix Committed
2019-09-02 15:57:18 Łukasz Zemczak bug added subscriber Ubuntu Stable Release Updates Team
2019-09-02 15:57:21 Łukasz Zemczak bug added subscriber SRU Verification
2019-09-02 15:57:27 Łukasz Zemczak tags bionic rls-bb-notfixing bionic rls-bb-notfixing verification-needed verification-needed-disco
2019-09-03 10:49:42 Julian Andres Klode apt (Ubuntu Bionic): status Triaged In Progress
2019-09-05 11:58:33 Łukasz Zemczak apt (Ubuntu Bionic): status In Progress Fix Committed
2019-09-05 11:58:38 Łukasz Zemczak tags bionic rls-bb-notfixing verification-needed verification-needed-disco bionic rls-bb-notfixing verification-needed verification-needed-bionic verification-needed-disco
2019-09-05 13:50:27 Julian Andres Klode description [Impact] When apport is reporting a crash, it includes the output of the "df" utility, to list the free disk space information per mount point. That output nowadays will inadvertently include all snaps that the user may have installed, including their revision numbers. Here is a simple df output: andreas@nsn7:~$ df Filesystem 1K-blocks Used Available Use% Mounted on udev 8119680 0 8119680 0% /dev tmpfs 1630156 1828 1628328 1% /run nsn7/ROOT/ubuntu 433084288 2500608 430583680 1% / tmpfs 8150776 18888 8131888 1% /dev/shm tmpfs 5120 4 5116 1% /run/lock tmpfs 8150776 0 8150776 0% /sys/fs/cgroup nsn7/var/log 430763136 179456 430583680 1% /var/log nsn7/var/tmp 430583808 128 430583680 1% /var/tmp /dev/sda2 1032088 160336 871752 16% /boot /dev/sda1 523248 2720 520528 1% /boot/efi nsn7/home 430651264 67584 430583680 1% /home nsn7/var/cache 430653312 69632 430583680 1% /var/cache nsn7/var/mail 430583808 128 430583680 1% /var/mail nsn7/var/spool 430583808 128 430583680 1% /var/spool tmpfs 1630152 16 1630136 1% /run/user/120 tmpfs 100 0 100 0% /var/lib/lxd/shmounts tmpfs 100 0 100 0% /var/lib/lxd/devlxd tmpfs 1630152 36 1630116 1% /run/user/1000 nsn7/lxd/containers/squid-ds216 431444096 860416 430583680 1% /var/lib/lxd/storage-pools/default/containers/squid-ds216 /dev/loop0 83712 83712 0 100% /snap/core/4206 /dev/loop1 102144 102144 0 100% /snap/git-ubuntu/402 You can see I have the core snap at revision 4206, and git-ubuntu at revision 402. There are already many bug reports in launchpad where one can see this information. Granted, the user can review it, refuse to send this data, etc. This bug is about the unexpectedness of having that information in the disk space data. If the user sees a prompt like "Would you like to include disk free space information in your report?", or "Would you like to include the output of the df(1) command in your report?", that doesn't immediately translate to "Would you like to include disk free space information and a list of all installed snaps and their revision numbers in your report?". [Test case] N/A [Regression potential] Fix consists of adding -x squashfs to df output, so might hide other non-snap squashfs images. [Impact] When apport is reporting a crash, it includes the output of the "df" utility, to list the free disk space information per mount point. That output nowadays will inadvertently include all snaps that the user may have installed, including their revision numbers. Here is a simple df output: andreas@nsn7:~$ df Filesystem 1K-blocks Used Available Use% Mounted on udev 8119680 0 8119680 0% /dev tmpfs 1630156 1828 1628328 1% /run nsn7/ROOT/ubuntu 433084288 2500608 430583680 1% / tmpfs 8150776 18888 8131888 1% /dev/shm tmpfs 5120 4 5116 1% /run/lock tmpfs 8150776 0 8150776 0% /sys/fs/cgroup nsn7/var/log 430763136 179456 430583680 1% /var/log nsn7/var/tmp 430583808 128 430583680 1% /var/tmp /dev/sda2 1032088 160336 871752 16% /boot /dev/sda1 523248 2720 520528 1% /boot/efi nsn7/home 430651264 67584 430583680 1% /home nsn7/var/cache 430653312 69632 430583680 1% /var/cache nsn7/var/mail 430583808 128 430583680 1% /var/mail nsn7/var/spool 430583808 128 430583680 1% /var/spool tmpfs 1630152 16 1630136 1% /run/user/120 tmpfs 100 0 100 0% /var/lib/lxd/shmounts tmpfs 100 0 100 0% /var/lib/lxd/devlxd tmpfs 1630152 36 1630116 1% /run/user/1000 nsn7/lxd/containers/squid-ds216 431444096 860416 430583680 1% /var/lib/lxd/storage-pools/default/containers/squid-ds216 /dev/loop0 83712 83712 0 100% /snap/core/4206 /dev/loop1 102144 102144 0 100% /snap/git-ubuntu/402 You can see I have the core snap at revision 4206, and git-ubuntu at revision 402. There are already many bug reports in launchpad where one can see this information. Granted, the user can review it, refuse to send this data, etc. This bug is about the unexpectedness of having that information in the disk space data. If the user sees a prompt like "Would you like to include disk free space information in your report?", or "Would you like to include the output of the df(1) command in your report?", that doesn't immediately translate to "Would you like to include disk free space information and a list of all installed snaps and their revision numbers in your report?". [Test case] Do something that triggers the apport hook and make sure you don't see snaps in there. [Regression potential] Fix consists of adding -x squashfs to df output, so might hide other non-snap squashfs images.
2019-09-05 13:54:56 Julian Andres Klode description [Impact] When apport is reporting a crash, it includes the output of the "df" utility, to list the free disk space information per mount point. That output nowadays will inadvertently include all snaps that the user may have installed, including their revision numbers. Here is a simple df output: andreas@nsn7:~$ df Filesystem 1K-blocks Used Available Use% Mounted on udev 8119680 0 8119680 0% /dev tmpfs 1630156 1828 1628328 1% /run nsn7/ROOT/ubuntu 433084288 2500608 430583680 1% / tmpfs 8150776 18888 8131888 1% /dev/shm tmpfs 5120 4 5116 1% /run/lock tmpfs 8150776 0 8150776 0% /sys/fs/cgroup nsn7/var/log 430763136 179456 430583680 1% /var/log nsn7/var/tmp 430583808 128 430583680 1% /var/tmp /dev/sda2 1032088 160336 871752 16% /boot /dev/sda1 523248 2720 520528 1% /boot/efi nsn7/home 430651264 67584 430583680 1% /home nsn7/var/cache 430653312 69632 430583680 1% /var/cache nsn7/var/mail 430583808 128 430583680 1% /var/mail nsn7/var/spool 430583808 128 430583680 1% /var/spool tmpfs 1630152 16 1630136 1% /run/user/120 tmpfs 100 0 100 0% /var/lib/lxd/shmounts tmpfs 100 0 100 0% /var/lib/lxd/devlxd tmpfs 1630152 36 1630116 1% /run/user/1000 nsn7/lxd/containers/squid-ds216 431444096 860416 430583680 1% /var/lib/lxd/storage-pools/default/containers/squid-ds216 /dev/loop0 83712 83712 0 100% /snap/core/4206 /dev/loop1 102144 102144 0 100% /snap/git-ubuntu/402 You can see I have the core snap at revision 4206, and git-ubuntu at revision 402. There are already many bug reports in launchpad where one can see this information. Granted, the user can review it, refuse to send this data, etc. This bug is about the unexpectedness of having that information in the disk space data. If the user sees a prompt like "Would you like to include disk free space information in your report?", or "Would you like to include the output of the df(1) command in your report?", that doesn't immediately translate to "Would you like to include disk free space information and a list of all installed snaps and their revision numbers in your report?". [Test case] Do something that triggers the apport hook and make sure you don't see snaps in there. [Regression potential] Fix consists of adding -x squashfs to df output, so might hide other non-snap squashfs images. [Impact] When apport is reporting a crash, it includes the output of the "df" utility, to list the free disk space information per mount point. That output nowadays will inadvertently include all snaps that the user may have installed, including their revision numbers. Here is a simple df output: andreas@nsn7:~$ df Filesystem 1K-blocks Used Available Use% Mounted on udev 8119680 0 8119680 0% /dev tmpfs 1630156 1828 1628328 1% /run nsn7/ROOT/ubuntu 433084288 2500608 430583680 1% / tmpfs 8150776 18888 8131888 1% /dev/shm tmpfs 5120 4 5116 1% /run/lock tmpfs 8150776 0 8150776 0% /sys/fs/cgroup nsn7/var/log 430763136 179456 430583680 1% /var/log nsn7/var/tmp 430583808 128 430583680 1% /var/tmp /dev/sda2 1032088 160336 871752 16% /boot /dev/sda1 523248 2720 520528 1% /boot/efi nsn7/home 430651264 67584 430583680 1% /home nsn7/var/cache 430653312 69632 430583680 1% /var/cache nsn7/var/mail 430583808 128 430583680 1% /var/mail nsn7/var/spool 430583808 128 430583680 1% /var/spool tmpfs 1630152 16 1630136 1% /run/user/120 tmpfs 100 0 100 0% /var/lib/lxd/shmounts tmpfs 100 0 100 0% /var/lib/lxd/devlxd tmpfs 1630152 36 1630116 1% /run/user/1000 nsn7/lxd/containers/squid-ds216 431444096 860416 430583680 1% /var/lib/lxd/storage-pools/default/containers/squid-ds216 /dev/loop0 83712 83712 0 100% /snap/core/4206 /dev/loop1 102144 102144 0 100% /snap/git-ubuntu/402 You can see I have the core snap at revision 4206, and git-ubuntu at revision 402. There are already many bug reports in launchpad where one can see this information. Granted, the user can review it, refuse to send this data, etc. This bug is about the unexpectedness of having that information in the disk space data. If the user sees a prompt like "Would you like to include disk free space information in your report?", or "Would you like to include the output of the df(1) command in your report?", that doesn't immediately translate to "Would you like to include disk free space information and a list of all installed snaps and their revision numbers in your report?". [Test case] Do something that triggers the apport hook and make sure you don't see snaps in there. For example, install xterm, then add exit 1 to the start of the prerm, then run apt remove xterm, and investigate /var/crash/xterm.0.crash after that (delete before running apt). [Regression potential] Fix consists of adding -x squashfs to df output, so might hide other non-snap squashfs images.
2019-09-08 06:22:29 Mathew Hodson bug task deleted apport (Ubuntu)
2019-09-08 06:22:36 Mathew Hodson bug task deleted apport (Ubuntu Bionic)
2019-09-08 06:22:43 Mathew Hodson bug task deleted apport (Ubuntu Disco)
2019-09-08 06:22:50 Mathew Hodson bug task deleted apport (Ubuntu Eoan)
2019-09-11 09:19:29 Julian Andres Klode tags bionic rls-bb-notfixing verification-needed verification-needed-bionic verification-needed-disco bionic rls-bb-notfixing verification-done verification-done-bionic verification-done-disco
2019-09-12 12:13:46 Launchpad Janitor apt (Ubuntu Disco): status Fix Committed Fix Released
2019-09-12 12:14:01 Łukasz Zemczak removed subscriber Ubuntu Stable Release Updates Team
2019-09-12 12:14:19 Launchpad Janitor apt (Ubuntu Bionic): status Fix Committed Fix Released